TransformationsIssuer
Keywords: uk.ac.bbk.dcs.automed.xml.relational.TransformationsIssuer class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.bbk.dcs.automed.xml.relational
Class TransformationsIssuer

    java.lang.Object
      uk.ac.bbk.dcs.automed.xml.relational.TransformationsIssuer

    public class TransformationsIssuer

extends java.lang.Object

This class reads an input XML file that describe two types of transformations:

- AutoMed transformations
- Other transformations, such as lowerCase, which converts the input data into lowercase.

The format of the file is the following:

<dbName&ft;
<transformation type="am.rename"&ft; <oldName&ft;PCDATA</oldName&ft; <newName&ft;PCDATA</newName&ft; </transformation&ft; <transformation type="lowerCase"&ft; </transformation&ft; </dbName&ft;

Author:
  Lucas Zamboulis

Constructor Summary
`TransformationsIssuer(java.lang.String url)`

Method Summary
`void` | `listPathway()`
`void` | `runScript()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransformationsIssuer

    public TransformationsIssuer(java.lang.String url)
                          throws NotFoundException,
                                 java.io.IOException,
                                 org.xml.sax.SAXException,
                                 javax.xml.parsers.ParserConfigurationException

Throws:
  `NotFoundException`
  `java.io.IOException`
  `org.xml.sax.SAXException`
  `javax.xml.parsers.ParserConfigurationException`

Method Detail

### listPathway

    public void listPathway()

### runScript

    public void runScript()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD